{% getparam 'mobile' as mobile_param %}

{% if mobile_param %}
  {% assign mobile = true %}
{% endif %}

{% gtm product_detail: product %}

{% assign current_product = product %}

{% assign tag_medidas = product.tags | where: 'type', 'guia-de-medidas' | first %}
{% assign group_shop = product.tags | where: 'type', 'compre-junto' | first %}

{% assign relacionado =  product.tags | where: 'type', 'relacionado' | first %}
{% unless relacionado %}
  {% assign relacionado =  product.tags | where: 'type', 'categoria' | first %}
{% endunless %}

{% comment %} ========== {% endcomment %}

{% head %}
  {% opengraphfor product %}

  <link href="pages/product_above.css" inline rel="stylesheet" type="text/css">
  <link rel="stylesheet" href="{{ 'pages/product.css' | stylesheet_path }}" media="print" onload="this.media='all'"/>
{% endhead %}

{% body %}
  <script src="{{ 'product.js' | javascript_path }}"></script>
{% endbody %}

{% if group_shop %}
  <script>
    window.groupShopScript = "{{ 'groupShop.js' | javascript_path }}";
  </script>
{% endif %}

{% comment %} ========== {% endcomment %}

{% render 'partials/content/product/product_main', product: product, tag_medidas: tag_medidas, current_shop: current_shop, mobile: mobile %}

{% if tag_medidas != blank %}
  {% render 'partials/content/product/infos/size_guide', product: product, tag_medidas: tag_medidas %}
{% endif %}

{% comment %} Popula com as variants dos produtos para o comportamento de seleção de variants {% endcomment %}
{% body %}
  <script>
    window.mainProduct = {{ product.id }}
    productVariants['{{ product.id }}'] = {{ product.variants | to_json }};
  </script>
{% endbody %}
{% if group_shop %}
  {% render 'partials/content/product/compre_junto_finalizar_abaixo', current_product: product, group_shop: group_shop, mobile: mobile %}
{% endif %}
{% if relacionado %}
  {% render 'partials/components/carousel', tag_name: relacionado.name, current_product: product, mobile: mobile %}
{% endif %}
